/*
    ParaGUI - crossplatform widgetset
    Copyright (C) 2000,2001,2002  Alexander Pipelka

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Alexander Pipelka
    pipelka@teleweb.at

    Last Update:      $Author: pipelka $
    Update Date:      $Date: 2002/03/04 20:21:28 $
    Source File:      $Source: /usr/local/tigris/data/helm/cvs/repository/paragui/paragui/include/pgcolors.h,v $
    CVS/RCS Revision: $Revision: 1.1.2.6 $
    Status:           $State: Exp $

    Autogenerated from rgb.txt on Sun Sep 30 00:18:09 2001
*/

/** \file pgcolors.h
	Header file of the PG_Colors class.
	This header file also creates a bunch of useful color constants. To enable the
	creation of the color constants define "USE_COLOR_CONSTANTS" before including
	this header file.
*/

#ifndef PG_COLORS_H
#define PG_COLORS_H

#include <paragui.h>
#include MAP_INC

#ifdef USE_COLOR_CONSTANTS
const SDL_Color gray80 = {204, 204, 204};
const SDL_Color grey80 = {204, 204, 204};
const SDL_Color gray24 = {61, 61, 61};
const SDL_Color grey24 = {61, 61, 61};
const SDL_Color LightYellow4 = {139, 139, 122};
const SDL_Color lightyellow4 = {139, 139, 122};
const SDL_Color lavender_blush = {255, 240, 245};
const SDL_Color LavenderBlush = {255, 240, 245};
const SDL_Color lavenderblush = {255, 240, 245};
const SDL_Color LavenderBlush1 = {255, 240, 245};
const SDL_Color lavenderblush1 = {255, 240, 245};
const SDL_Color lime_green = {50, 205, 50};
const SDL_Color LimeGreen = {50, 205, 50};
const SDL_Color limegreen = {50, 205, 50};
const SDL_Color gray88 = {224, 224, 224};
const SDL_Color grey88 = {224, 224, 224};
const SDL_Color gray15 = {38, 38, 38};
const SDL_Color grey15 = {38, 38, 38};
const SDL_Color HotPink1 = {255, 110, 180};
const SDL_Color hotpink1 = {255, 110, 180};
const SDL_Color yellow = {255, 255, 0};
const SDL_Color RoyalBlue1 = {72, 118, 255};
const SDL_Color royalblue1 = {72, 118, 255};
const SDL_Color gray23 = {59, 59, 59};
const SDL_Color grey23 = {59, 59, 59};
const SDL_Color DarkOrchid4 = {104, 34, 139};
const SDL_Color darkorchid4 = {104, 34, 139};
const SDL_Color PaleVioletRed2 = {238, 121, 159};
const SDL_Color palevioletred2 = {238, 121, 159};
const SDL_Color pale_violet_red = {219, 112, 147};
const SDL_Color PaleVioletRed = {219, 112, 147};
const SDL_Color palevioletred = {219, 112, 147};
const SDL_Color LightCyan2 = {209, 238, 238};
const SDL_Color lightcyan2 = {209, 238, 238};
const SDL_Color thistle4 = {139, 123, 139};
const SDL_Color turquoise2 = {0, 229, 238};
const SDL_Color dark_violet = {148, 0, 211};
const SDL_Color DarkViolet = {148, 0, 211};
const SDL_Color darkviolet = {148, 0, 211};
const SDL_Color LightSkyBlue3 = {141, 182, 205};
const SDL_Color lightskyblue3 = {141, 182, 205};
const SDL_Color LightBlue3 = {154, 192, 205};
const SDL_Color lightblue3 = {154, 192, 205};
const SDL_Color SpringGreen2 = {0, 238, 118};
const SDL_Color springgreen2 = {0, 238, 118};
const SDL_Color RoyalBlue2 = {67, 110, 238};
const SDL_Color royalblue2 = {67, 110, 238};
const SDL_Color sea_green = {46, 139, 87};
const SDL_Color SeaGreen = {46, 139, 87};
const SDL_Color seagreen = {46, 139, 87};
const SDL_Color gainsboro = {220, 220, 220};
const SDL_Color pale_turquoise = {175, 238, 238};
const SDL_Color PaleTurquoise = {175, 238, 238};
const SDL_Color paleturquoise = {175, 238, 238};
const SDL_Color seashell2 = {238, 229, 222};
const SDL_Color dark_red = {139, 0, 0};
const SDL_Color DarkRed = {139, 0, 0};
const SDL_Color darkred = {139, 0, 0};
const SDL_Color PeachPuff3 = {205, 175, 149};
const SDL_Color peachpuff3 = {205, 175, 149};
const SDL_Color peru = {205, 133, 63};
const SDL_Color SteelBlue2 = {92, 172, 238};
const SDL_Color steelblue2 = {92, 172, 238};
const SDL_Color orchid1 = {255, 131, 250};
const SDL_Color seashell3 = {205, 197, 191};
const SDL_Color gray89 = {227, 227, 227};
const SDL_Color grey89 = {227, 227, 227};
const SDL_Color navajo_white = {255, 222, 173};
const SDL_Color NavajoWhite = {255, 222, 173};
const SDL_Color navajowhite = {255, 222, 173};
const SDL_Color NavajoWhite1 = {255, 222, 173};
const SDL_Color navajowhite1 = {255, 222, 173};
const SDL_Color gray97 = {247, 247, 247};
const SDL_Color grey97 = {247, 247, 247};
const SDL_Color LightYellow3 = {205, 205, 180};
const SDL_Color lightyellow3 = {205, 205, 180};
const SDL_Color lavender = {230, 230, 250};
const SDL_Color LavenderBlush3 = {205, 193, 197};
const SDL_Color lavenderblush3 = {205, 193, 197};
const SDL_Color gray32 = {82, 82, 82};
const SDL_Color grey32 = {82, 82, 82};
const SDL_Color HotPink2 = {238, 106, 167};
const SDL_Color hotpink2 = {238, 106, 167};
const SDL_Color SlateBlue4 = {71, 60, 139};
const SDL_Color slateblue4 = {71, 60, 139};
const SDL_Color gray40 = {102, 102, 102};
const SDL_Color grey40 = {102, 102, 102};
const SDL_Color DarkOrchid3 = {154, 50, 205};
const SDL_Color darkorchid3 = {154, 50, 205};
const SDL_Color PaleVioletRed1 = {255, 130, 171};
const SDL_Color palevioletred1 = {255, 130, 171};
const SDL_Color dark_slate_blue = {72, 61, 139};
const SDL_Color DarkSlateBlue = {72, 61, 139};
const SDL_Color darkslateblue = {72, 61, 139};
const SDL_Color gray55 = {140, 140, 140};
const SDL_Color grey55 = {140, 140, 140};
const SDL_Color gray48 = {122, 122, 122};
const SDL_Color grey48 = {122, 122, 122};
const SDL_Color thistle3 = {205, 181, 205};
const SDL_Color light_salmon = {255, 160, 122};
const SDL_Color LightSalmon = {255, 160, 122};
const SDL_Color lightsalmon = {255, 160, 122};
const SDL_Color LightSalmon1 = {255, 160, 122};
const SDL_Color lightsalmon1 = {255, 160, 122};
const SDL_Color LightSkyBlue2 = {164, 211, 238};
const SDL_Color lightskyblue2 = {164, 211, 238};
const SDL_Color turquoise1 = {0, 245, 255};
const SDL_Color gray63 = {161, 161, 161};
const SDL_Color grey63 = {161, 161, 161};
const SDL_Color gray7 = {18, 18, 18};
const SDL_Color grey7 = {18, 18, 18};
const SDL_Color aquamarine2 = {118, 238, 198};
const SDL_Color LavenderBlush4 = {139, 131, 134};
const SDL_Color lavenderblush4 = {139, 131, 134};
const SDL_Color LightBlue2 = {178, 223, 238};
const SDL_Color lightblue2 = {178, 223, 238};
const SDL_Color gray71 = {181, 181, 181};
const SDL_Color grey71 = {181, 181, 181};
const SDL_Color salmon1 = {255, 140, 105};
const SDL_Color gray79 = {201, 201, 201};
const SDL_Color grey79 = {201, 201, 201};
const SDL_Color gray6 = {15, 15, 15};
const SDL_Color grey6 = {15, 15, 15};
const SDL_Color green_yellow = {173, 255, 47};
const SDL_Color GreenYellow = {173, 255, 47};
const SDL_Color greenyellow = {173, 255, 47};
const SDL_Color gray87 = {222, 222, 222};
const SDL_Color grey87 = {222, 222, 222};
const SDL_Color gray14 = {36, 36, 36};
const SDL_Color grey14 = {36, 36, 36};
const SDL_Color light_yellow = {255, 255, 224};
const SDL_Color LightYellow = {255, 255, 224};
const SDL_Color lightyellow = {255, 255, 224};
const SDL_Color LightYellow1 = {255, 255, 224};
const SDL_Color lightyellow1 = {255, 255, 224};
const SDL_Color PeachPuff2 = {238, 203, 173};
const SDL_Color peachpuff2 = {238, 203, 173};
const SDL_Color gray22 = {56, 56, 56};
const SDL_Color grey22 = {56, 56, 56};
const SDL_Color SteelBlue1 = {99, 184, 255};
const SDL_Color steelblue1 = {99, 184, 255};
const SDL_Color LightBlue4 = {104, 131, 139};
const SDL_Color lightblue4 = {104, 131, 139};
const SDL_Color sienna = {160, 82, 45};
const SDL_Color light_pink = {255, 182, 193};
const SDL_Color LightPink = {255, 182, 193};
const SDL_Color lightpink = {255, 182, 193};
const SDL_Color magenta4 = {139, 0, 139};
const SDL_Color dark_magenta = {139, 0, 139};
const SDL_Color DarkMagenta = {139, 0, 139};
const SDL_Color darkmagenta = {139, 0, 139};
const SDL_Color dark_cyan = {0, 139, 139};
const SDL_Color DarkCyan = {0, 139, 139};
const SDL_Color darkcyan = {0, 139, 139};
const SDL_Color dark_orchid = {153, 50, 204};
const SDL_Color DarkOrchid = {153, 50, 204};
const SDL_Color darkorchid = {153, 50, 204};
const SDL_Color thistle1 = {255, 225, 255};
const SDL_Color PaleGreen3 = {124, 205, 124};
const SDL_Color palegreen3 = {124, 205, 124};
const SDL_Color medium_orchid = {186, 85, 211};
const SDL_Color MediumOrchid = {186, 85, 211};
const SDL_Color mediumorchid = {186, 85, 211};
const SDL_Color dark_sea_green = {143, 188, 143};
const SDL_Color DarkSeaGreen = {143, 188, 143};
const SDL_Color darkseagreen = {143, 188, 143};
const SDL_Color LavenderBlush2 = {238, 224, 229};
const SDL_Color lavenderblush2 = {238, 224, 229};
const SDL_Color powder_blue = {176, 224, 230};
const SDL_Color PowderBlue = {176, 224, 230};
const SDL_Color powderblue = {176, 224, 230};
const SDL_Color LightYellow2 = {238, 238, 209};
const SDL_Color lightyellow2 = {238, 238, 209};
const SDL_Color snow4 = {139, 137, 137};
const SDL_Color medium_spring_green = {0, 250, 154};
const SDL_Color MediumSpringGreen = {0, 250, 154};
const SDL_Color mediumspringgreen = {0, 250, 154};
const SDL_Color DeepPink3 = {205, 16, 118};
const SDL_Color deeppink3 = {205, 16, 118};
const SDL_Color light_goldenrod_yellow = {250, 250, 210};
const SDL_Color LightGoldenrodYellow = {250, 250, 210};
const SDL_Color lightgoldenrodyellow = {250, 250, 210};
const SDL_Color slate_gray = {112, 128, 144};
const SDL_Color SlateGray = {112, 128, 144};
const SDL_Color slategray = {112, 128, 144};
const SDL_Color slate_grey = {112, 128, 144};
const SDL_Color SlateGrey = {112, 128, 144};
const SDL_Color slategrey = {112, 128, 144};
const SDL_Color SlateBlue3 = {105, 89, 205};
const SDL_Color slateblue3 = {105, 89, 205};
const SDL_Color dark_green = {0, 100, 0};
const SDL_Color DarkGreen = {0, 100, 0};
const SDL_Color darkgreen = {0, 100, 0};
const SDL_Color DarkOrchid2 = {178, 58, 238};
const SDL_Color darkorchid2 = {178, 58, 238};
const SDL_Color LightPink4 = {139, 95, 101};
const SDL_Color lightpink4 = {139, 95, 101};
const SDL_Color thistle2 = {238, 210, 238};
const SDL_Color CadetBlue4 = {83, 134, 139};
const SDL_Color cadetblue4 = {83, 134, 139};
const SDL_Color salmon = {250, 128, 114};
const SDL_Color LightSkyBlue1 = {176, 226, 255};
const SDL_Color lightskyblue1 = {176, 226, 255};
const SDL_Color LightBlue1 = {191, 239, 255};
const SDL_Color lightblue1 = {191, 239, 255};
const SDL_Color wheat4 = {139, 126, 102};
const SDL_Color peach_puff = {255, 218, 185};
const SDL_Color PeachPuff = {255, 218, 185};
const SDL_Color peachpuff = {255, 218, 185};
const SDL_Color PeachPuff1 = {255, 218, 185};
const SDL_Color peachpuff1 = {255, 218, 185};
const SDL_Color dark_salmon = {233, 150, 122};
const SDL_Color DarkSalmon = {233, 150, 122};
const SDL_Color darksalmon = {233, 150, 122};
const SDL_Color gray96 = {245, 245, 245};
const SDL_Color grey96 = {245, 245, 245};
const SDL_Color alice_blue = {240, 248, 255};
const SDL_Color AliceBlue = {240, 248, 255};
const SDL_Color aliceblue = {240, 248, 255};
const SDL_Color gray31 = {79, 79, 79};
const SDL_Color grey31 = {79, 79, 79};
const SDL_Color gray95 = {242, 242, 242};
const SDL_Color grey95 = {242, 242, 242};
const SDL_Color gray39 = {99, 99, 99};
const SDL_Color grey39 = {99, 99, 99};
const SDL_Color cornflower_blue = {100, 149, 237};
const SDL_Color CornflowerBlue = {100, 149, 237};
const SDL_Color cornflowerblue = {100, 149, 237};
const SDL_Color pink = {255, 192, 203};
const SDL_Color DodgerBlue4 = {16, 78, 139};
const SDL_Color dodgerblue4 = {16, 78, 139};
const SDL_Color gray54 = {138, 138, 138};
const SDL_Color grey54 = {138, 138, 138};
const SDL_Color gray47 = {120, 120, 120};
const SDL_Color grey47 = {120, 120, 120};
const SDL_Color magenta3 = {205, 0, 205};
const SDL_Color deep_sky_blue = {0, 191, 255};
const SDL_Color DeepSkyBlue = {0, 191, 255};
const SDL_Color deepskyblue = {0, 191, 255};
const SDL_Color DeepSkyBlue1 = {0, 191, 255};
const SDL_Color deepskyblue1 = {0, 191, 255};
const SDL_Color gray62 = {158, 158, 158};
const SDL_Color grey62 = {158, 158, 158};
const SDL_Color MediumOrchid4 = {122, 55, 139};
const SDL_Color mediumorchid4 = {122, 55, 139};
const SDL_Color deep_pink = {255, 20, 147};
const SDL_Color DeepPink = {255, 20, 147};
const SDL_Color deeppink = {255, 20, 147};
const SDL_Color DeepPink1 = {255, 20, 147};
const SDL_Color deeppink1 = {255, 20, 147};
const SDL_Color DarkSlateGray4 = {82, 139, 139};
const SDL_Color darkslategray4 = {82, 139, 139};
const SDL_Color gray70 = {179, 179, 179};
const SDL_Color grey70 = {179, 179, 179};
const SDL_Color MediumPurple4 = {93, 71, 139};
const SDL_Color mediumpurple4 = {93, 71, 139};
const SDL_Color PaleGreen1 = {154, 255, 154};
const SDL_Color palegreen1 = {154, 255, 154};
const SDL_Color orchid = {218, 112, 214};
const SDL_Color dark_olive_green = {85, 107, 47};
const SDL_Color DarkOliveGreen = {85, 107, 47};
const SDL_Color darkolivegreen = {85, 107, 47};
const SDL_Color gray78 = {199, 199, 199};
const SDL_Color grey78 = {199, 199, 199};
const SDL_Color gray5 = {13, 13, 13};
const SDL_Color grey5 = {13, 13, 13};
const SDL_Color snow3 = {205, 201, 201};
const SDL_Color chartreuse = {127, 255, 0};
const SDL_Color gray86 = {219, 219, 219};
const SDL_Color grey86 = {219, 219, 219};
const SDL_Color gray13 = {33, 33, 33};
const SDL_Color grey13 = {33, 33, 33};
const SDL_Color DeepPink2 = {238, 18, 137};
const SDL_Color deeppink2 = {238, 18, 137};
const SDL_Color SlateBlue2 = {122, 103, 238};
const SDL_Color slateblue2 = {122, 103, 238};
const SDL_Color aquamarine = {127, 255, 212};
const SDL_Color aquamarine1 = {127, 255, 212};
const SDL_Color bisque4 = {139, 125, 107};
const SDL_Color gray77 = {196, 196, 196};
const SDL_Color grey77 = {196, 196, 196};
const SDL_Color gray21 = {54, 54, 54};
const SDL_Color grey21 = {54, 54, 54};
const SDL_Color DarkOrchid1 = {191, 62, 255};
const SDL_Color darkorchid1 = {191, 62, 255};
const SDL_Color LightPink3 = {205, 140, 149};
const SDL_Color lightpink3 = {205, 140, 149};
const SDL_Color saddle_brown = {139, 69, 19};
const SDL_Color SaddleBrown = {139, 69, 19};
const SDL_Color saddlebrown = {139, 69, 19};
const SDL_Color dark_blue = {0, 0, 139};
const SDL_Color DarkBlue = {0, 0, 139};
const SDL_Color darkblue = {0, 0, 139};
const SDL_Color gray85 = {217, 217, 217};
const SDL_Color grey85 = {217, 217, 217};
const SDL_Color SkyBlue4 = {74, 112, 139};
const SDL_Color skyblue4 = {74, 112, 139};
const SDL_Color CadetBlue3 = {122, 197, 205};
const SDL_Color cadetblue3 = {122, 197, 205};
const SDL_Color LightSteelBlue4 = {110, 123, 139};
const SDL_Color lightsteelblue4 = {110, 123, 139};
const SDL_Color indian_red = {205, 92, 92};
const SDL_Color IndianRed = {205, 92, 92};
const SDL_Color indianred = {205, 92, 92};
const SDL_Color wheat3 = {205, 186, 150};
const SDL_Color white_smoke = {245, 245, 245};
const SDL_Color WhiteSmoke = {245, 245, 245};
const SDL_Color whitesmoke = {245, 245, 245};
const SDL_Color bisque = {255, 228, 196};
const SDL_Color bisque1 = {255, 228, 196};
const SDL_Color brown = {165, 42, 42};
const SDL_Color MediumOrchid1 = {224, 102, 255};
const SDL_Color mediumorchid1 = {224, 102, 255};
const SDL_Color light_blue = {173, 216, 230};
const SDL_Color LightBlue = {173, 216, 230};
const SDL_Color lightblue = {173, 216, 230};
const SDL_Color LightGoldenrod3 = {205, 190, 112};
const SDL_Color lightgoldenrod3 = {205, 190, 112};
const SDL_Color azure = {240, 255, 255};
const SDL_Color azure1 = {240, 255, 255};
const SDL_Color honeydew4 = {131, 139, 131};
const SDL_Color medium_aquamarine = {102, 205, 170};
const SDL_Color MediumAquamarine = {102, 205, 170};
const SDL_Color mediumaquamarine = {102, 205, 170};
const SDL_Color aquamarine3 = {102, 205, 170};
const SDL_Color pale_goldenrod = {238, 232, 170};
const SDL_Color PaleGoldenrod = {238, 232, 170};
const SDL_Color palegoldenrod = {238, 232, 170};
const SDL_Color DodgerBlue3 = {24, 116, 205};
const SDL_Color dodgerblue3 = {24, 116, 205};
const SDL_Color magenta2 = {238, 0, 238};
const SDL_Color MediumOrchid3 = {180, 82, 205};
const SDL_Color mediumorchid3 = {180, 82, 205};
const SDL_Color LightPink1 = {255, 174, 185};
const SDL_Color lightpink1 = {255, 174, 185};
const SDL_Color DarkSlateGray3 = {121, 205, 205};
const SDL_Color darkslategray3 = {121, 205, 205};
const SDL_Color PaleGreen2 = {144, 238, 144};
const SDL_Color palegreen2 = {144, 238, 144};
const SDL_Color light_green = {144, 238, 144};
const SDL_Color LightGreen = {144, 238, 144};
const SDL_Color lightgreen = {144, 238, 144};
const SDL_Color MediumPurple3 = {137, 104, 205};
const SDL_Color mediumpurple3 = {137, 104, 205};
const SDL_Color VioletRed3 = {205, 50, 120};
const SDL_Color violetred3 = {205, 50, 120};
const SDL_Color snow = {255, 250, 250};
const SDL_Color snow1 = {255, 250, 250};
const SDL_Color plum = {221, 160, 221};
const SDL_Color snow2 = {238, 233, 233};
const SDL_Color green = {0, 255, 0};
const SDL_Color gray30 = {77, 77, 77};
const SDL_Color grey30 = {77, 77, 77};
const SDL_Color bisque3 = {205, 183, 158};
const SDL_Color SlateBlue1 = {131, 111, 255};
const SDL_Color slateblue1 = {131, 111, 255};
const SDL_Color gray94 = {240, 240, 240};
const SDL_Color grey94 = {240, 240, 240};
const SDL_Color gray38 = {97, 97, 97};
const SDL_Color grey38 = {97, 97, 97};
const SDL_Color LightPink2 = {238, 162, 173};
const SDL_Color lightpink2 = {238, 162, 173};
const SDL_Color gray53 = {135, 135, 135};
const SDL_Color grey53 = {135, 135, 135};
const SDL_Color gray46 = {117, 117, 117};
const SDL_Color grey46 = {117, 117, 117};
const SDL_Color CadetBlue2 = {142, 229, 238};
const SDL_Color cadetblue2 = {142, 229, 238};
const SDL_Color dodger_blue = {30, 144, 255};
const SDL_Color DodgerBlue = {30, 144, 255};
const SDL_Color dodgerblue = {30, 144, 255};
const SDL_Color DodgerBlue1 = {30, 144, 255};
const SDL_Color dodgerblue1 = {30, 144, 255};
const SDL_Color SkyBlue3 = {108, 166, 205};
const SDL_Color skyblue3 = {108, 166, 205};
const SDL_Color gray61 = {156, 156, 156};
const SDL_Color grey61 = {156, 156, 156};
const SDL_Color LightSteelBlue3 = {162, 181, 205};
const SDL_Color lightsteelblue3 = {162, 181, 205};
const SDL_Color hot_pink = {255, 105, 180};
const SDL_Color HotPink = {255, 105, 180};
const SDL_Color hotpink = {255, 105, 180};
const SDL_Color gray69 = {176, 176, 176};
const SDL_Color grey69 = {176, 176, 176};
const SDL_Color wheat1 = {255, 231, 186};
const SDL_Color firebrick = {178, 34, 34};
const SDL_Color gray60 = {153, 153, 153};
const SDL_Color grey60 = {153, 153, 153};
const SDL_Color gray4 = {10, 10, 10};
const SDL_Color grey4 = {10, 10, 10};
const SDL_Color plum4 = {139, 102, 139};
const SDL_Color honeydew3 = {193, 205, 193};
const SDL_Color light_steel_blue = {176, 196, 222};
const SDL_Color LightSteelBlue = {176, 196, 222};
const SDL_Color lightsteelblue = {176, 196, 222};
const SDL_Color LightGoldenrod1 = {255, 236, 139};
const SDL_Color lightgoldenrod1 = {255, 236, 139};
const SDL_Color gray68 = {173, 173, 173};
const SDL_Color grey68 = {173, 173, 173};
const SDL_Color gray12 = {31, 31, 31};
const SDL_Color grey12 = {31, 31, 31};
const SDL_Color khaki = {240, 230, 140};
const SDL_Color dim_gray = {105, 105, 105};
const SDL_Color DimGray = {105, 105, 105};
const SDL_Color dimgray = {105, 105, 105};
const SDL_Color dim_grey = {105, 105, 105};
const SDL_Color DimGrey = {105, 105, 105};
const SDL_Color dimgrey = {105, 105, 105};
const SDL_Color gray76 = {194, 194, 194};
const SDL_Color grey76 = {194, 194, 194};
const SDL_Color gray20 = {51, 51, 51};
const SDL_Color grey20 = {51, 51, 51};
const SDL_Color navy = {0, 0, 128};
const SDL_Color navy_blue = {0, 0, 128};
const SDL_Color NavyBlue = {0, 0, 128};
const SDL_Color navyblue = {0, 0, 128};
const SDL_Color DodgerBlue2 = {28, 134, 238};
const SDL_Color dodgerblue2 = {28, 134, 238};
const SDL_Color gray84 = {214, 214, 214};
const SDL_Color grey84 = {214, 214, 214};
const SDL_Color dark_khaki = {189, 183, 107};
const SDL_Color DarkKhaki = {189, 183, 107};
const SDL_Color darkkhaki = {189, 183, 107};
const SDL_Color MediumOrchid2 = {209, 95, 238};
const SDL_Color mediumorchid2 = {209, 95, 238};
const SDL_Color pink4 = {139, 99, 108};
const SDL_Color rosy_brown = {188, 143, 143};
const SDL_Color RosyBrown = {188, 143, 143};
const SDL_Color rosybrown = {188, 143, 143};
const SDL_Color DarkSlateGray2 = {141, 238, 238};
const SDL_Color darkslategray2 = {141, 238, 238};
const SDL_Color gray51 = {130, 130, 130};
const SDL_Color grey51 = {130, 130, 130};
const SDL_Color MediumPurple2 = {159, 121, 238};
const SDL_Color mediumpurple2 = {159, 121, 238};
const SDL_Color VioletRed1 = {255, 62, 150};
const SDL_Color violetred1 = {255, 62, 150};
const SDL_Color SeaGreen3 = {67, 205, 128};
const SDL_Color seagreen3 = {67, 205, 128};
const SDL_Color violet = {238, 130, 238};
const SDL_Color blanched_almond = {255, 235, 205};
const SDL_Color BlanchedAlmond = {255, 235, 205};
const SDL_Color blanchedalmond = {255, 235, 205};
const SDL_Color mint_cream = {245, 255, 250};
const SDL_Color MintCream = {245, 255, 250};
const SDL_Color mintcream = {245, 255, 250};
const SDL_Color gray50 = {127, 127, 127};
const SDL_Color grey50 = {127, 127, 127};
const SDL_Color azure4 = {131, 139, 139};
const SDL_Color cadet_blue = {95, 158, 160};
const SDL_Color CadetBlue = {95, 158, 160};
const SDL_Color cadetblue = {95, 158, 160};
const SDL_Color bisque2 = {238, 213, 183};
const SDL_Color blue = {0, 0, 255};
const SDL_Color blue1 = {0, 0, 255};
const SDL_Color SkyBlue2 = {126, 192, 238};
const SDL_Color skyblue2 = {126, 192, 238};
const SDL_Color CadetBlue1 = {152, 245, 255};
const SDL_Color cadetblue1 = {152, 245, 255};
const SDL_Color light_cyan = {224, 255, 255};
const SDL_Color LightCyan = {224, 255, 255};
const SDL_Color lightcyan = {224, 255, 255};
const SDL_Color LightCyan1 = {224, 255, 255};
const SDL_Color lightcyan1 = {224, 255, 255};
const SDL_Color red = {255, 0, 0};
const SDL_Color LightSteelBlue2 = {188, 210, 238};
const SDL_Color lightsteelblue2 = {188, 210, 238};
const SDL_Color wheat2 = {238, 216, 174};
const SDL_Color chocolate = {210, 105, 30};
const SDL_Color plum3 = {205, 150, 205};
const SDL_Color LightGoldenrod2 = {238, 220, 130};
const SDL_Color lightgoldenrod2 = {238, 220, 130};
const SDL_Color thistle = {216, 191, 216};
const SDL_Color lawn_green = {124, 252, 0};
const SDL_Color LawnGreen = {124, 252, 0};
const SDL_Color lawngreen = {124, 252, 0};
const SDL_Color honeydew2 = {224, 238, 224};
const SDL_Color gray29 = {74, 74, 74};
const SDL_Color grey29 = {74, 74, 74};
const SDL_Color antique_white = {250, 235, 215};
const SDL_Color AntiqueWhite = {250, 235, 215};
const SDL_Color antiquewhite = {250, 235, 215};
const SDL_Color gray93 = {237, 237, 237};
const SDL_Color grey93 = {237, 237, 237};
const SDL_Color gray37 = {94, 94, 94};
const SDL_Color grey37 = {94, 94, 94};
const SDL_Color LemonChiffon4 = {139, 137, 112};
const SDL_Color lemonchiffon4 = {139, 137, 112};
const SDL_Color ivory3 = {205, 205, 193};
const SDL_Color spring_green = {0, 255, 127};
const SDL_Color SpringGreen = {0, 255, 127};
const SDL_Color springgreen = {0, 255, 127};
const SDL_Color SpringGreen1 = {0, 255, 127};
const SDL_Color springgreen1 = {0, 255, 127};
const SDL_Color dark_grey = {169, 169, 169};
const SDL_Color DarkGrey = {169, 169, 169};
const SDL_Color darkgrey = {169, 169, 169};
const SDL_Color dark_gray = {169, 169, 169};
const SDL_Color DarkGray = {169, 169, 169};
const SDL_Color darkgray = {169, 169, 169};
const SDL_Color gray52 = {133, 133, 133};
const SDL_Color grey52 = {133, 133, 133};
const SDL_Color gray45 = {115, 115, 115};
const SDL_Color grey45 = {115, 115, 115};
const SDL_Color pink3 = {205, 145, 158};
const SDL_Color DarkSlateGray1 = {151, 255, 255};
const SDL_Color darkslategray1 = {151, 255, 255};
const SDL_Color MediumPurple1 = {171, 130, 255};
const SDL_Color mediumpurple1 = {171, 130, 255};
const SDL_Color magenta = {255, 0, 255};
const SDL_Color magenta1 = {255, 0, 255};
const SDL_Color VioletRed2 = {238, 58, 140};
const SDL_Color violetred2 = {238, 58, 140};
#ifndef __BORLANDC__
const SDL_Color tan = {210, 180, 140};
#endif
const SDL_Color SeaGreen2 = {78, 238, 148};
const SDL_Color seagreen2 = {78, 238, 148};
const SDL_Color gray59 = {150, 150, 150};
const SDL_Color grey59 = {150, 150, 150};
const SDL_Color gray3 = {8, 8, 8};
const SDL_Color grey3 = {8, 8, 8};
const SDL_Color steel_blue = {70, 130, 180};
const SDL_Color SteelBlue = {70, 130, 180};
const SDL_Color steelblue = {70, 130, 180};
const SDL_Color honeydew = {240, 255, 240};
const SDL_Color honeydew1 = {240, 255, 240};
const SDL_Color gray67 = {171, 171, 171};
const SDL_Color grey67 = {171, 171, 171};
const SDL_Color gray11 = {28, 28, 28};
const SDL_Color grey11 = {28, 28, 28};
const SDL_Color burlywood1 = {255, 211, 155};
const SDL_Color azure3 = {193, 205, 205};
const SDL_Color gray75 = {191, 191, 191};
const SDL_Color grey75 = {191, 191, 191};
const SDL_Color gray19 = {48, 48, 48};
const SDL_Color grey19 = {48, 48, 48};
const SDL_Color khaki2 = {238, 230, 133};
const SDL_Color blue4 = {0, 0, 139};
const SDL_Color light_sky_blue = {135, 206, 250};
const SDL_Color LightSkyBlue = {135, 206, 250};
const SDL_Color lightskyblue = {135, 206, 250};
const SDL_Color midnight_blue = {25, 25, 112};
const SDL_Color MidnightBlue = {25, 25, 112};
const SDL_Color midnightblue = {25, 25, 112};
const SDL_Color gray83 = {212, 212, 212};
const SDL_Color grey83 = {212, 212, 212};
const SDL_Color PaleTurquoise4 = {102, 139, 139};
const SDL_Color paleturquoise4 = {102, 139, 139};
const SDL_Color cyan = {0, 255, 255};
const SDL_Color cyan1 = {0, 255, 255};
const SDL_Color SkyBlue1 = {135, 206, 255};
const SDL_Color skyblue1 = {135, 206, 255};
const SDL_Color olive_drab = {107, 142, 35};
const SDL_Color OliveDrab = {107, 142, 35};
const SDL_Color olivedrab = {107, 142, 35};
const SDL_Color LightSteelBlue1 = {202, 225, 255};
const SDL_Color lightsteelblue1 = {202, 225, 255};
const SDL_Color dark_goldenrod = {184, 134, 11};
const SDL_Color DarkGoldenrod = {184, 134, 11};
const SDL_Color darkgoldenrod = {184, 134, 11};
const SDL_Color burlywood3 = {205, 170, 125};
const SDL_Color papaya_whip = {255, 239, 213};
const SDL_Color PapayaWhip = {255, 239, 213};
const SDL_Color papayawhip = {255, 239, 213};
const SDL_Color plum2 = {238, 174, 238};
const SDL_Color khaki3 = {205, 198, 115};
const SDL_Color gray49 = {125, 125, 125};
const SDL_Color grey49 = {125, 125, 125};
const SDL_Color AntiqueWhite4 = {139, 131, 120};
const SDL_Color antiquewhite4 = {139, 131, 120};
const SDL_Color linen = {250, 240, 230};
const SDL_Color DarkSeaGreen4 = {105, 139, 105};
const SDL_Color darkseagreen4 = {105, 139, 105};
const SDL_Color ivory2 = {238, 238, 224};
const SDL_Color LemonChiffon3 = {205, 201, 165};
const SDL_Color lemonchiffon3 = {205, 201, 165};
const SDL_Color RosyBrown4 = {139, 105, 105};
const SDL_Color rosybrown4 = {139, 105, 105};
const SDL_Color royal_blue = {65, 105, 225};
const SDL_Color RoyalBlue = {65, 105, 225};
const SDL_Color royalblue = {65, 105, 225};
const SDL_Color pink2 = {238, 169, 184};
const SDL_Color cyan4 = {0, 139, 139};
const SDL_Color orange_red = {255, 69, 0};
const SDL_Color OrangeRed = {255, 69, 0};
const SDL_Color orangered = {255, 69, 0};
const SDL_Color purple4 = {85, 26, 139};
const SDL_Color maroon3 = {205, 41, 144};
const SDL_Color SeaGreen1 = {84, 255, 159};
const SDL_Color seagreen1 = {84, 255, 159};
const SDL_Color medium_blue = {0, 0, 205};
const SDL_Color MediumBlue = {0, 0, 205};
const SDL_Color mediumblue = {0, 0, 205};
const SDL_Color blue3 = {0, 0, 205};
const SDL_Color seashell = {255, 245, 238};
const SDL_Color seashell1 = {255, 245, 238};
const SDL_Color light_coral = {240, 128, 128};
const SDL_Color LightCoral = {240, 128, 128};
const SDL_Color lightcoral = {240, 128, 128};
const SDL_Color ivory4 = {139, 139, 131};
const SDL_Color medium_purple = {147, 112, 219};
const SDL_Color MediumPurple = {147, 112, 219};
const SDL_Color mediumpurple = {147, 112, 219};
const SDL_Color gray28 = {71, 71, 71};
const SDL_Color grey28 = {71, 71, 71};
const SDL_Color burlywood2 = {238, 197, 145};
const SDL_Color azure2 = {224, 238, 238};
const SDL_Color dark_slate_gray = {47, 79, 79};
const SDL_Color DarkSlateGray = {47, 79, 79};
const SDL_Color darkslategray = {47, 79, 79};
const SDL_Color dark_slate_grey = {47, 79, 79};
const SDL_Color DarkSlateGrey = {47, 79, 79};
const SDL_Color darkslategrey = {47, 79, 79};
const SDL_Color gray92 = {235, 235, 235};
const SDL_Color grey92 = {235, 235, 235};
const SDL_Color gray36 = {92, 92, 92};
const SDL_Color grey36 = {92, 92, 92};
const SDL_Color khaki1 = {255, 246, 143};
const SDL_Color pale_green = {152, 251, 152};
const SDL_Color PaleGreen = {152, 251, 152};
const SDL_Color palegreen = {152, 251, 152};
const SDL_Color gray100 = {255, 255, 255};
const SDL_Color grey100 = {255, 255, 255};
const SDL_Color gray44 = {112, 112, 112};
const SDL_Color grey44 = {112, 112, 112};
const SDL_Color DeepSkyBlue4 = {0, 104, 139};
const SDL_Color deepskyblue4 = {0, 104, 139};
const SDL_Color PaleTurquoise3 = {150, 205, 205};
const SDL_Color paleturquoise3 = {150, 205, 205};
const SDL_Color turquoise = {64, 224, 208};
const SDL_Color SlateGray4 = {108, 123, 139};
const SDL_Color slategray4 = {108, 123, 139};
const SDL_Color goldenrod = {218, 165, 32};
const SDL_Color sandy_brown = {244, 164, 96};
const SDL_Color SandyBrown = {244, 164, 96};
const SDL_Color sandybrown = {244, 164, 96};
const SDL_Color violet_red = {208, 32, 144};
const SDL_Color VioletRed = {208, 32, 144};
const SDL_Color violetred = {208, 32, 144};
const SDL_Color gray58 = {148, 148, 148};
const SDL_Color grey58 = {148, 148, 148};
const SDL_Color gray2 = {5, 5, 5};
const SDL_Color grey2 = {5, 5, 5};
const SDL_Color plum1 = {255, 187, 255};
const SDL_Color cyan2 = {0, 238, 238};
const SDL_Color gray66 = {168, 168, 168};
const SDL_Color grey66 = {168, 168, 168};
const SDL_Color gray10 = {26, 26, 26};
const SDL_Color grey10 = {26, 26, 26};
const SDL_Color DarkSeaGreen3 = {155, 205, 155};
const SDL_Color darkseagreen3 = {155, 205, 155};
const SDL_Color AntiqueWhite3 = {205, 192, 176};
const SDL_Color antiquewhite3 = {205, 192, 176};
const SDL_Color gray74 = {189, 189, 189};
const SDL_Color grey74 = {189, 189, 189};
const SDL_Color gray18 = {46, 46, 46};
const SDL_Color grey18 = {46, 46, 46};
const SDL_Color LemonChiffon2 = {238, 233, 191};
const SDL_Color lemonchiffon2 = {238, 233, 191};
const SDL_Color sky_blue = {135, 206, 235};
const SDL_Color SkyBlue = {135, 206, 235};
const SDL_Color skyblue = {135, 206, 235};
const SDL_Color blue2 = {0, 0, 238};
const SDL_Color gray82 = {209, 209, 209};
const SDL_Color grey82 = {209, 209, 209};
const SDL_Color RosyBrown3 = {205, 155, 155};
const SDL_Color rosybrown3 = {205, 155, 155};
const SDL_Color forest_green = {34, 139, 34};
const SDL_Color ForestGreen = {34, 139, 34};
const SDL_Color forestgreen = {34, 139, 34};
const SDL_Color pink1 = {255, 181, 197};
const SDL_Color cyan3 = {0, 205, 205};
const SDL_Color tomato = {255, 99, 71};
const SDL_Color purple3 = {125, 38, 205};
const SDL_Color maroon1 = {255, 52, 179};
const SDL_Color light_slate_blue = {132, 112, 255};
const SDL_Color LightSlateBlue = {132, 112, 255};
const SDL_Color lightslateblue = {132, 112, 255};
const SDL_Color purple = {160, 32, 240};
const SDL_Color coral = {255, 127, 80};
const SDL_Color black = {0, 0, 0};
const SDL_Color gray0 = {0, 0, 0};
const SDL_Color grey0 = {0, 0, 0};
const SDL_Color IndianRed1 = {255, 106, 106};
const SDL_Color indianred1 = {255, 106, 106};
const SDL_Color floral_white = {255, 250, 240};
const SDL_Color FloralWhite = {255, 250, 240};
const SDL_Color floralwhite = {255, 250, 240};
const SDL_Color cornsilk4 = {139, 136, 120};
const SDL_Color DarkOliveGreen1 = {202, 255, 112};
const SDL_Color darkolivegreen1 = {202, 255, 112};
const SDL_Color PaleTurquoise2 = {174, 238, 238};
const SDL_Color paleturquoise2 = {174, 238, 238};
const SDL_Color medium_turquoise = {72, 209, 204};
const SDL_Color MediumTurquoise = {72, 209, 204};
const SDL_Color mediumturquoise = {72, 209, 204};
const SDL_Color DeepSkyBlue3 = {0, 154, 205};
const SDL_Color deepskyblue3 = {0, 154, 205};
const SDL_Color ghost_white = {248, 248, 255};
const SDL_Color GhostWhite = {248, 248, 255};
const SDL_Color ghostwhite = {248, 248, 255};
const SDL_Color SlateGray3 = {159, 182, 205};
const SDL_Color slategray3 = {159, 182, 205};
const SDL_Color medium_violet_red = {199, 21, 133};
const SDL_Color MediumVioletRed = {199, 21, 133};
const SDL_Color mediumvioletred = {199, 21, 133};
const SDL_Color wheat = {245, 222, 179};
const SDL_Color orchid4 = {139, 71, 137};
const SDL_Color lemon_chiffon = {255, 250, 205};
const SDL_Color LemonChiffon = {255, 250, 205};
const SDL_Color lemonchiffon = {255, 250, 205};
const SDL_Color LemonChiffon1 = {255, 250, 205};
const SDL_Color lemonchiffon1 = {255, 250, 205};
const SDL_Color gray27 = {69, 69, 69};
const SDL_Color grey27 = {69, 69, 69};
const SDL_Color AntiqueWhite2 = {238, 223, 204};
const SDL_Color antiquewhite2 = {238, 223, 204};
const SDL_Color DarkSeaGreen2 = {180, 238, 180};
const SDL_Color darkseagreen2 = {180, 238, 180};
const SDL_Color MistyRose4 = {139, 125, 123};
const SDL_Color mistyrose4 = {139, 125, 123};
const SDL_Color gray91 = {232, 232, 232};
const SDL_Color grey91 = {232, 232, 232};
const SDL_Color gray35 = {89, 89, 89};
const SDL_Color grey35 = {89, 89, 89};
const SDL_Color light_grey = {211, 211, 211};
const SDL_Color LightGrey = {211, 211, 211};
const SDL_Color lightgrey = {211, 211, 211};
const SDL_Color light_gray = {211, 211, 211};
const SDL_Color LightGray = {211, 211, 211};
const SDL_Color lightgray = {211, 211, 211};
const SDL_Color light_sea_green = {32, 178, 170};
const SDL_Color LightSeaGreen = {32, 178, 170};
const SDL_Color lightseagreen = {32, 178, 170};
const SDL_Color gray99 = {252, 252, 252};
const SDL_Color grey99 = {252, 252, 252};
const SDL_Color gray43 = {110, 110, 110};
const SDL_Color grey43 = {110, 110, 110};
const SDL_Color RosyBrown2 = {238, 180, 180};
const SDL_Color rosybrown2 = {238, 180, 180};
const SDL_Color HotPink4 = {139, 58, 98};
const SDL_Color hotpink4 = {139, 58, 98};
const SDL_Color light_goldenrod = {238, 221, 130};
const SDL_Color LightGoldenrod = {238, 221, 130};
const SDL_Color lightgoldenrod = {238, 221, 130};
const SDL_Color gray = {190, 190, 190};
const SDL_Color grey = {190, 190, 190};
const SDL_Color gray42 = {107, 107, 107};
const SDL_Color grey42 = {107, 107, 107};
const SDL_Color purple2 = {145, 44, 238};
const SDL_Color maroon2 = {238, 48, 167};
const SDL_Color medium_slate_blue = {123, 104, 238};
const SDL_Color MediumSlateBlue = {123, 104, 238};
const SDL_Color mediumslateblue = {123, 104, 238};
const SDL_Color LightCyan4 = {122, 139, 139};
const SDL_Color lightcyan4 = {122, 139, 139};
const SDL_Color gray57 = {145, 145, 145};
const SDL_Color grey57 = {145, 145, 145};
const SDL_Color gray1 = {3, 3, 3};
const SDL_Color grey1 = {3, 3, 3};
const SDL_Color SlateGray1 = {198, 226, 255};
const SDL_Color slategray1 = {198, 226, 255};
const SDL_Color turquoise4 = {0, 134, 139};
const SDL_Color gray65 = {166, 166, 166};
const SDL_Color grey65 = {166, 166, 166};
const SDL_Color gray9 = {23, 23, 23};
const SDL_Color grey9 = {23, 23, 23};
const SDL_Color white = {255, 255, 255};
const SDL_Color gray73 = {186, 186, 186};
const SDL_Color grey73 = {186, 186, 186};
const SDL_Color gray17 = {43, 43, 43};
const SDL_Color grey17 = {43, 43, 43};
const SDL_Color cornsilk3 = {205, 200, 177};
const SDL_Color DarkOliveGreen2 = {188, 238, 104};
const SDL_Color darkolivegreen2 = {188, 238, 104};
const SDL_Color RoyalBlue4 = {39, 64, 139};
const SDL_Color royalblue4 = {39, 64, 139};
const SDL_Color NavajoWhite3 = {205, 179, 139};
const SDL_Color navajowhite3 = {205, 179, 139};
const SDL_Color cornsilk = {255, 248, 220};
const SDL_Color cornsilk1 = {255, 248, 220};
const SDL_Color gray81 = {207, 207, 207};
const SDL_Color grey81 = {207, 207, 207};
const SDL_Color DeepSkyBlue2 = {0, 178, 238};
const SDL_Color deepskyblue2 = {0, 178, 238};
const SDL_Color yellow_green = {154, 205, 50};
const SDL_Color YellowGreen = {154, 205, 50};
const SDL_Color yellowgreen = {154, 205, 50};
const SDL_Color PaleTurquoise1 = {187, 255, 255};
const SDL_Color paleturquoise1 = {187, 255, 255};
const SDL_Color misty_rose = {255, 228, 225};
const SDL_Color MistyRose = {255, 228, 225};
const SDL_Color mistyrose = {255, 228, 225};
const SDL_Color MistyRose1 = {255, 228, 225};
const SDL_Color mistyrose1 = {255, 228, 225};
const SDL_Color SlateGray2 = {185, 211, 238};
const SDL_Color slategray2 = {185, 211, 238};
const SDL_Color beige = {245, 245, 220};
const SDL_Color maroon = {176, 48, 96};
const SDL_Color SteelBlue4 = {54, 100, 139};
const SDL_Color steelblue4 = {54, 100, 139};
const SDL_Color orchid3 = {205, 105, 201};
const SDL_Color blue_violet = {138, 43, 226};
const SDL_Color BlueViolet = {138, 43, 226};
const SDL_Color blueviolet = {138, 43, 226};
const SDL_Color ivory = {255, 255, 240};
const SDL_Color ivory1 = {255, 255, 240};
const SDL_Color dark_orange = {255, 140, 0};
const SDL_Color DarkOrange = {255, 140, 0};
const SDL_Color darkorange = {255, 140, 0};
const SDL_Color DarkSeaGreen1 = {193, 255, 193};
const SDL_Color darkseagreen1 = {193, 255, 193};
const SDL_Color MistyRose3 = {205, 183, 181};
const SDL_Color mistyrose3 = {205, 183, 181};
const SDL_Color AntiqueWhite1 = {255, 239, 219};
const SDL_Color antiquewhite1 = {255, 239, 219};
const SDL_Color medium_sea_green = {60, 179, 113};
const SDL_Color MediumSeaGreen = {60, 179, 113};
const SDL_Color mediumseagreen = {60, 179, 113};
const SDL_Color RosyBrown1 = {255, 193, 193};
const SDL_Color rosybrown1 = {255, 193, 193};
const SDL_Color old_lace = {253, 245, 230};
const SDL_Color OldLace = {253, 245, 230};
const SDL_Color oldlace = {253, 245, 230};
const SDL_Color dark_turquoise = {0, 206, 209};
const SDL_Color DarkTurquoise = {0, 206, 209};
const SDL_Color darkturquoise = {0, 206, 209};
const SDL_Color HotPink3 = {205, 96, 144};
const SDL_Color hotpink3 = {205, 96, 144};
const SDL_Color gold = {255, 215, 0};
const SDL_Color purple1 = {155, 48, 255};
const SDL_Color PaleVioletRed3 = {205, 104, 137};
const SDL_Color palevioletred3 = {205, 104, 137};
const SDL_Color LightCyan3 = {180, 205, 205};
const SDL_Color lightcyan3 = {180, 205, 205};
const SDL_Color LightSkyBlue4 = {96, 123, 139};
const SDL_Color lightskyblue4 = {96, 123, 139};
const SDL_Color turquoise3 = {0, 197, 205};
const SDL_Color gray26 = {66, 66, 66};
const SDL_Color grey26 = {66, 66, 66};
const SDL_Color gray90 = {229, 229, 229};
const SDL_Color grey90 = {229, 229, 229};
const SDL_Color gray34 = {87, 87, 87};
const SDL_Color grey34 = {87, 87, 87};
const SDL_Color RoyalBlue3 = {58, 95, 205};
const SDL_Color royalblue3 = {58, 95, 205};
const SDL_Color NavajoWhite2 = {238, 207, 161};
const SDL_Color navajowhite2 = {238, 207, 161};
const SDL_Color moccasin = {255, 228, 181};
const SDL_Color cornsilk2 = {238, 232, 205};
const SDL_Color SpringGreen3 = {0, 205, 102};
const SDL_Color springgreen3 = {0, 205, 102};
const SDL_Color gray98 = {250, 250, 250};
const SDL_Color grey98 = {250, 250, 250};
const SDL_Color gray25 = {64, 64, 64};
const SDL_Color grey25 = {64, 64, 64};
const SDL_Color gray33 = {84, 84, 84};
const SDL_Color grey33 = {84, 84, 84};
const SDL_Color light_slate_gray = {119, 136, 153};
const SDL_Color LightSlateGray = {119, 136, 153};
const SDL_Color lightslategray = {119, 136, 153};
const SDL_Color light_slate_grey = {119, 136, 153};
const SDL_Color LightSlateGrey = {119, 136, 153};
const SDL_Color lightslategrey = {119, 136, 153};
const SDL_Color PeachPuff4 = {139, 119, 101};
const SDL_Color peachpuff4 = {139, 119, 101};
const SDL_Color gray41 = {105, 105, 105};
const SDL_Color grey41 = {105, 105, 105};
const SDL_Color SteelBlue3 = {79, 148, 205};
const SDL_Color steelblue3 = {79, 148, 205};
const SDL_Color burlywood = {222, 184, 135};
const SDL_Color slate_blue = {106, 90, 205};
const SDL_Color SlateBlue = {106, 90, 205};
const SDL_Color slateblue = {106, 90, 205};
const SDL_Color gray56 = {143, 143, 143};
const SDL_Color grey56 = {143, 143, 143};
const SDL_Color orchid2 = {238, 122, 233};
const SDL_Color orange = {255, 165, 0};
const SDL_Color gray64 = {163, 163, 163};
const SDL_Color grey64 = {163, 163, 163};
const SDL_Color gray8 = {20, 20, 20};
const SDL_Color grey8 = {20, 20, 20};
const SDL_Color seashell4 = {139, 134, 130};
const SDL_Color aquamarine4 = {69, 139, 116};
const SDL_Color MistyRose2 = {238, 213, 210};
const SDL_Color mistyrose2 = {238, 213, 210};
const SDL_Color gray72 = {184, 184, 184};
const SDL_Color grey72 = {184, 184, 184};
const SDL_Color gray16 = {41, 41, 41};
const SDL_Color grey16 = {41, 41, 41};
const SDL_Color LightSalmon2 = {238, 149, 114};
const SDL_Color lightsalmon2 = {238, 149, 114};
#endif // !USE_COLOR_CONSTANTS

/**
	@author Marek Habersack
	@short tool-class for descriptive colorvalues
*/

class PG_Colors {
 typedef STL_MAP<const char*, SDL_Color> colormap;
 typedef STL_MAP<const char*, SDL_Color>::iterator cit;

 public:
   PG_Colors() { if (!PG_Colors::initialized) {PG_Colors::InitColors(); PG_Colors::initialized = true;}}
   static bool FindColorByName(const char *name, SDL_Color &c) {
       cit col = PG_Colors::colors.find(name);
       if (col != PG_Colors::colors.end()) {
           c = colors[name];
           return true;
       }
       return false;
   }

  static const SDL_Color FindColorByName(const char *name) {
	SDL_Color c;
	if(FindColorByName(name, c)) {
		return c;
	}
       return colors["black"];
   }
   static void InitColors();

   const SDL_Color operator[](char *name) {
	return FindColorByName(static_cast<const char*>(name));
   }
   
   const SDL_Color operator[](const char *name) {
        return FindColorByName(name);
   }
   
 protected:
   static colormap colors;
   static bool     initialized;
};
#endif // !PG_COLORS_H
